From a0e80995f1b5eaefb43eb1ffe7a888341b66803d Mon Sep 17 00:00:00 2001
From: Alexander Golubev <fatzer2@gmail.com>
Date: Wed, 24 Feb 2016 05:42:03 +0300
Subject: [PATCH] Initial cmake conversion

---
 CMakeLists.txt                                     | 169 +++++++++++++++
 ConfigureChecks.cmake                              | 239 +++++++++++++++++++++
 config.h.cmake                                     |  31 +++
 doc/CMakeLists.txt                                 |   7 +
 doc/tdeioslave/CMakeLists.txt                      |   3 +
 doc/tdeioslave/en/CMakeLists.txt                   |   3 +
 doc/tdeioslave/en/videodvd/CMakeLists.txt          |   3 +
 k3bsetup/CMakeLists.txt                            |  47 ++++
 libk3b/CMakeLists.txt                              |  62 ++++++
 libk3b/cddb/CMakeLists.txt                         |  36 ++++
 libk3b/core/CMakeLists.txt                         |  35 +++
 libk3b/jobs/CMakeLists.txt                         |  47 ++++
 libk3b/plugin/CMakeLists.txt                       |  48 +++++
 libk3b/plugin/k3baudiooutputplugin.h               |   2 -
 libk3b/plugin/libsamplerate/CMakeLists.txt         |  29 +++
 libk3b/projects/CMakeLists.txt                     |  52 +++++
 libk3b/projects/audiocd/CMakeLists.txt             |  39 ++++
 libk3b/projects/datacd/CMakeLists.txt              |  38 ++++
 libk3b/projects/datadvd/CMakeLists.txt             |  35 +++
 libk3b/projects/mixedcd/CMakeLists.txt             |  35 +++
 libk3b/projects/movixcd/CMakeLists.txt             |  37 ++++
 libk3b/projects/movixdvd/CMakeLists.txt            |  36 ++++
 libk3b/projects/videocd/CMakeLists.txt             |  46 ++++
 libk3b/projects/videocd/cdi/CMakeLists.txt         |   6 +
 libk3b/projects/videocd/extra/CMakeLists.txt       |   5 +
 libk3b/projects/videocd/mpeginfo/CMakeLists.txt    |  20 ++
 libk3b/projects/videodvd/CMakeLists.txt            |  36 ++++
 libk3b/projects/videodvd/k3bvideodvddoc.cpp        |   1 -
 libk3b/scripts/CMakeLists.txt                      |  15 ++
 libk3b/tools/CMakeLists.txt                        |  46 ++++
 libk3b/tools/libisofs/CMakeLists.txt               |  29 +++
 libk3b/videodvd/CMakeLists.txt                     |  34 +++
 libk3bdevice/CMakeLists.txt                        |  36 ++++
 plugins/CMakeLists.txt                             |   6 +
 plugins/audiooutput/CMakeLists.txt                 |  13 ++
 plugins/audiooutput/alsa/CMakeLists.txt            |  41 ++++
 plugins/audiooutput/arts/CMakeLists.txt            |  43 ++++
 plugins/decoder/CMakeLists.txt                     |  18 ++
 plugins/decoder/ffmpeg/CMakeLists.txt              |  48 +++++
 plugins/decoder/flac/CMakeLists.txt                |  46 ++++
 plugins/decoder/libsndfile/CMakeLists.txt          |  43 ++++
 plugins/decoder/mp3/CMakeLists.txt                 |  43 ++++
 plugins/decoder/musepack/CMakeLists.txt            |  45 ++++
 plugins/decoder/ogg/CMakeLists.txt                 |  46 ++++
 plugins/decoder/wave/CMakeLists.txt                |  41 ++++
 plugins/encoder/CMakeLists.txt                     |  16 ++
 plugins/encoder/external/CMakeLists.txt            |  43 ++++
 plugins/encoder/lame/CMakeLists.txt                |  42 ++++
 plugins/encoder/ogg/CMakeLists.txt                 |  45 ++++
 plugins/encoder/sox/CMakeLists.txt                 |  41 ++++
 plugins/project/CMakeLists.txt                     |   4 +
 .../project/audiometainforenamer/CMakeLists.txt    |  44 ++++
 plugins/project/audioprojectcddb/CMakeLists.txt    |  45 ++++
 src/CMakeLists.txt                                 |  97 +++++++++
 src/fastscale/CMakeLists.txt                       |  33 +++
 src/icons/CMakeLists.txt                           |   8 +
 src/icons/actions/CMakeLists.txt                   |  12 ++
 src/konqi/CMakeLists.txt                           |  13 ++
 src/mimetypes/CMakeLists.txt                       |   5 +
 src/misc/CMakeLists.txt                            |  37 ++++
 src/option/CMakeLists.txt                          |  40 ++++
 src/pics/73lab/CMakeLists.txt                      |   9 +
 src/pics/CMakeLists.txt                            |   6 +
 src/pics/RobsTheme/CMakeLists.txt                  |   8 +
 src/pics/crystal/CMakeLists.txt                    |   9 +
 src/pics/quant/CMakeLists.txt                      |   8 +
 src/projects/CMakeLists.txt                        |  72 +++++++
 src/projects/kostore/CMakeLists.txt                |  20 ++
 src/rip/CMakeLists.txt                             |  52 +++++
 src/rip/videodvd/CMakeLists.txt                    |  40 ++++
 src/sounds/CMakeLists.txt                          |  14 ++
 tdefile-plugins/CMakeLists.txt                     |   3 +
 tdefile-plugins/k3bproject/CMakeLists.txt          |  45 ++++
 tdeioslaves/CMakeLists.txt                         |   3 +
 tdeioslaves/videodvd/CMakeLists.txt                |  45 ++++
 75 files changed, 2596 insertions(+), 3 deletions(-)
 create mode 100644 CMakeLists.txt
 create mode 100644 ConfigureChecks.cmake
 create mode 100644 config.h.cmake
 create mode 100644 doc/CMakeLists.txt
 create mode 100644 doc/tdeioslave/CMakeLists.txt
 create mode 100644 doc/tdeioslave/en/CMakeLists.txt
 create mode 100644 doc/tdeioslave/en/videodvd/CMakeLists.txt
 create mode 100644 k3bsetup/CMakeLists.txt
 create mode 100644 libk3b/CMakeLists.txt
 create mode 100644 libk3b/cddb/CMakeLists.txt
 create mode 100644 libk3b/core/CMakeLists.txt
 create mode 100644 libk3b/jobs/CMakeLists.txt
 create mode 100644 libk3b/plugin/CMakeLists.txt
 create mode 100644 libk3b/plugin/libsamplerate/CMakeLists.txt
 create mode 100644 libk3b/projects/CMakeLists.txt
 create mode 100644 libk3b/projects/audiocd/CMakeLists.txt
 create mode 100644 libk3b/projects/datacd/CMakeLists.txt
 create mode 100644 libk3b/projects/datadvd/CMakeLists.txt
 create mode 100644 libk3b/projects/mixedcd/CMakeLists.txt
 create mode 100644 libk3b/projects/movixcd/CMakeLists.txt
 create mode 100644 libk3b/projects/movixdvd/CMakeLists.txt
 create mode 100644 libk3b/projects/videocd/CMakeLists.txt
 create mode 100644 libk3b/projects/videocd/cdi/CMakeLists.txt
 create mode 100644 libk3b/projects/videocd/extra/CMakeLists.txt
 create mode 100644 libk3b/projects/videocd/mpeginfo/CMakeLists.txt
 create mode 100644 libk3b/projects/videodvd/CMakeLists.txt
 create mode 100644 libk3b/scripts/CMakeLists.txt
 create mode 100644 libk3b/tools/CMakeLists.txt
 create mode 100644 libk3b/tools/libisofs/CMakeLists.txt
 create mode 100644 libk3b/videodvd/CMakeLists.txt
 create mode 100644 libk3bdevice/CMakeLists.txt
 create mode 100644 plugins/CMakeLists.txt
 create mode 100644 plugins/audiooutput/CMakeLists.txt
 create mode 100644 plugins/audiooutput/alsa/CMakeLists.txt
 create mode 100644 plugins/audiooutput/arts/CMakeLists.txt
 create mode 100644 plugins/decoder/CMakeLists.txt
 create mode 100644 plugins/decoder/ffmpeg/CMakeLists.txt
 create mode 100644 plugins/decoder/flac/CMakeLists.txt
 create mode 100644 plugins/decoder/libsndfile/CMakeLists.txt
 create mode 100644 plugins/decoder/mp3/CMakeLists.txt
 create mode 100644 plugins/decoder/musepack/CMakeLists.txt
 create mode 100644 plugins/decoder/ogg/CMakeLists.txt
 create mode 100644 plugins/decoder/wave/CMakeLists.txt
 create mode 100644 plugins/encoder/CMakeLists.txt
 create mode 100644 plugins/encoder/external/CMakeLists.txt
 create mode 100644 plugins/encoder/lame/CMakeLists.txt
 create mode 100644 plugins/encoder/ogg/CMakeLists.txt
 create mode 100644 plugins/encoder/sox/CMakeLists.txt
 create mode 100644 plugins/project/CMakeLists.txt
 create mode 100644 plugins/project/audiometainforenamer/CMakeLists.txt
 create mode 100644 plugins/project/audioprojectcddb/CMakeLists.txt
 create mode 100644 src/CMakeLists.txt
 create mode 100644 src/fastscale/CMakeLists.txt
 create mode 100644 src/icons/CMakeLists.txt
 create mode 100644 src/icons/actions/CMakeLists.txt
 create mode 100644 src/konqi/CMakeLists.txt
 create mode 100644 src/mimetypes/CMakeLists.txt
 create mode 100644 src/misc/CMakeLists.txt
 create mode 100644 src/option/CMakeLists.txt
 create mode 100644 src/pics/73lab/CMakeLists.txt
 create mode 100644 src/pics/CMakeLists.txt
 create mode 100644 src/pics/RobsTheme/CMakeLists.txt
 create mode 100644 src/pics/crystal/CMakeLists.txt
 create mode 100644 src/pics/quant/CMakeLists.txt
 create mode 100644 src/projects/CMakeLists.txt
 create mode 100644 src/projects/kostore/CMakeLists.txt
 create mode 100644 src/rip/CMakeLists.txt
 create mode 100644 src/rip/videodvd/CMakeLists.txt
 create mode 100644 src/sounds/CMakeLists.txt
 create mode 100644 tdefile-plugins/CMakeLists.txt
 create mode 100644 tdefile-plugins/k3bproject/CMakeLists.txt
 create mode 100644 tdeioslaves/CMakeLists.txt
 create mode 100644 tdeioslaves/videodvd/CMakeLists.txt

diff --git a/CMakeLists.txt b/CMakeLists.txt
new file mode 100644
index 0000000..409e5a1
--- /dev/null
+++ b/CMakeLists.txt
@@ -0,0 +1,169 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+cmake_minimum_required( VERSION 2.8 )
+
+
+##### general package setup #####################
+
+project( k3b )
+
+
+##### include essential cmake modules ###########
+
+include( FindPkgConfig )
+include( CheckIncludeFile )
+include( CheckLibraryExists )
+include( CheckSymbolExists )
+# EXAMPLE:
+# include( CheckTypeSize )
+# include( CheckCSourceCompiles )
+# include( CheckCXXSourceCompiles )
+
+
+##### include our cmake modules #################
+
+set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
+include( TDEMacros )
+
+
+##### setup install paths #######################
+
+include( TDESetupPaths )
+tde_setup_paths( )
+
+
+##### optional stuff ############################
+
+option( WITH_ALL_OPTIONS   "Enable all sane supported options" OFF )
+option( WITH_LIBDVDREAD    "Enable support for libdvdread"    ${WITH_ALL_OPTIONS} )
+option( WITH_MUSICBRAINZ   "Enable Musicbrainz support" ${WITH_ALL_OPTIONS} )
+option( WITH_SYSTEM_LIBSAMPLERATE
+    "Use system libsamplerate instead of bundled one" ON )
+option( WITH_HAL           "Enable hal support" OFF )
+option( WITH_DEBUG         "Enable extra debug" OFF )
+
+# sound output plugins
+option( WITH_ALSA     "Enable alsa support"             ${WITH_ALL_OPTIONS} )
+option( WITH_ARTS     "Enable arts sound daemon support" ${WITH_ALL_OPTIONS} )
+
+# decoder plugins
+option( WITH_FFMPEG   "Enable support for decoding with ffmpeg"       ${WITH_ALL_OPTIONS} )
+option( WITH_FFMPEG_ALL_CODECS "Enable support for all codecs provided by ffmpeg" OFF   )
+option( WITH_FLAC     "Enable support for decoding flac files"        ${WITH_ALL_OPTIONS} )
+option( WITH_SNDFILE  "Enable support for decoding via libsndfile"    ${WITH_ALL_OPTIONS} )
+option( WITH_TAGLIB   "Enable support for taglib"                     ${WITH_ALL_OPTIONS} )
+option( WITH_MAD      "Enable support for decoding mp3 via libmad"    ${WITH_ALL_OPTIONS} )
+option( WITH_MUSEPACK "Enable support for decoding via musepack (mpcdec)" OFF )
+option( WITH_VORBIS   "Enable support for en/decoding ogg via vorbis" ${WITH_ALL_OPTIONS} )
+# Note: WITH_VORBIS enables both decoding and encoding
+# Note: wave plugin build unconditionally due to it doesn't have any external deps
+# Note: k3b requires some acient version of musepack
+
+# encoder plugins
+option( WITH_LAME          "Enable support for mp3 encoding via lame" ${WITH_ALL_OPTIONS} )
+# see WITH_VORBIS
+# Note: external and sox plugins are enabled by default due to they don't have
+#       any additional build-time deps
+
+# Note: permanently disabled options:
+#       resmgr             - it seams to be completly outdated
+#       cdrecord-suid-root - commented out in source code anyway 
+#       cam library - freebsd stuff should be added by somebody with bsd
+#                     experience
+
+##### options comments ##########################
+
+# WITH_LIBDVDREAD     if disabled removes dvd reaping functionality
+#                     requires libdvdread: http://dvdnav.mplayerhq.hu/
+# WITH_MUSICBRAINZ    if enabled adds support for musicbrainz service for
+#                        query metadata about audio cds
+#                     requires media-libs/musicbrainz library: http://musicbrainz.org/doc/libmusicbrainz
+# WITH_SYSTEM_LIBSAMPLERATE if disabled the bundled version of libsamplerate
+#                              is used and staticaly linked into the k3b
+#                           requires media-libs/libsamplerate: http://www.mega-nerd.com/SRC/
+# WITH_HAL            if enabled use of hal daemon instead of libtdehw for
+#                        device management
+#                     depricated
+# WITH_DEBUG          if enabled extra debug output is provided
+
+# WITH_ALSA           if enabled build the alsa output driver; it's a good
+#                        idea to enable it on a linux othervice sound playback
+#                        may fallback to arts
+# WITH_ARTS           if disabled disables fuctionality to play audio (files
+#                        or CDs, not sure exactly)
+#                     requires arts (an optional part of TDE)
+# WITH_FFMPEG         if enabled build an ffmpeg decoding plugin
+#                     requires ffmpeg
+# WITH_FFMPEG_ALL_CODECS
+#                     affects ffmpeg plugin
+#                     if enabled makes ffmpeg to decode all formats is
+#                       supports; this is untested and may result in some
+#                       bugs: e.g. display of wrong length
+# WITH_FLAC           if enabled build flac decoding plugin
+#                     requires media-sound/flac: http://flac.sourceforge.net
+# WITH_LAME           if enabled build mp3 encoding file via lame
+#                     requires media-sound/lame: http://lame.sourceforge.net/
+# WITH_TAGLIB         if enabled provides support for tags in mp3 and flac
+#                     requires media-libs/taglib: https://taglib.github.io/
+#                     note: make sence if either WITH_FLAC or WITH_LIBMAD is set
+# WITH_SNDFILE        if enabled build libsndfile encoding plugin
+#                     requires media-libs/libsndfile: http://www.mega-nerd.com/libsndfile
+# WITH_MAD            if enabled build mp3 decoding plugin
+#                     requires media-libs/libmad: http://mad.sourceforge.net
+# WITH_MUSEPACK       if enabled build musepack decoding plugin
+#                     requires musepack (libmpcdec): http://www.musepack.net
+#                     WARNING k3b requires some acient version of musepack
+# WITH_VORBIS         if enabled build ogg encoding/decoding plugin
+#                     requires media-libs/libvorbis: http://xiph.org/vorbis
+
+
+##### user requested modules ####################
+
+option( BUILD_K3BSETUP "Build K3bSetup2 TDEControl module" OFF )
+option( BUILD_DOC "Build documentation" ON )
+# option( BUILD_TRANSLATIONS "Build translations" ON )
+
+# Note: probably modern linux systems don't need BUILD_K3BSETUP; so it's
+#       disabled by default
+
+
+##### configure checks ##########################
+
+include( ConfigureChecks.cmake )
+
+
+###### global compiler settings #################
+
+add_definitions(
+  -DHAVE_CONFIG_H
+)
+
+set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
+set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+
+
+##### k3b directories ###########################
+
+add_subdirectory( libk3b          )
+add_subdirectory( libk3bdevice    )
+add_subdirectory( plugins         )
+add_subdirectory( src             )
+add_subdirectory( tdefile-plugins )
+add_subdirectory( tdeioslaves     )
+tde_conditional_add_subdirectory( BUILD_K3BSETUP k3bsetup )
+tde_conditional_add_subdirectory( BUILD_DOC doc )
+
+
+##### write configure files #####################
+
+configure_file( config.h.cmake config.h @ONLY )
diff --git a/ConfigureChecks.cmake b/ConfigureChecks.cmake
new file mode 100644
index 0000000..001b056
--- /dev/null
+++ b/ConfigureChecks.cmake
@@ -0,0 +1,239 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+##### check for gcc visibility support #########
+# FIXME
+# This should check for [T]Qt3 visibility support
+
+if( WITH_GCC_VISIBILITY )
+  if( NOT UNIX )
+    tde_message_fatal(FATAL_ERROR "\ngcc visibility support was requested, but your system is not *NIX" )
+  endif( NOT UNIX )
+  set( __KDE_HAVE_GCC_VISIBILITY 1 )
+  set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
+  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
+endif( WITH_GCC_VISIBILITY )
+
+tde_setup_architecture_flags( )
+
+# Check system configuration
+check_include_file ( "iconv.h"       HAVE_ICONV_H       )
+check_include_file ( "endian.h"      HAVE_ENDIAN_H      )
+check_include_file ( "sys/endian.h"  HAVE_SYS_ENDIAN_H  )
+check_include_file ( "sys/statvfs.h" HAVE_SYS_STATVFS_H )
+check_include_file ( "sys/vfs.h"     HAVE_SYS_VFS_H     )
+check_include_file ( "byteswap.h"    HAVE_BYTESWAP_H    )
+check_include_file ( "stdint.h"      HAVE_STDINT_H      )
+check_symbol_exists ( lrint  "math.h" HAVE_LRINT  )
+check_symbol_exists ( lrintf "math.h" HAVE_LRINTF )
+check_symbol_exists ( stat64 "sys/types.h;sys/stat.h;unistd.h" HAVE_STAT64 )
+
+##### k3bsetup ##################################
+
+if ( WITH_K3BSETUP )
+  set ( HAVE_K3BSETUP 1 )
+endif ( )
+
+
+##### k3b_debug #################################
+
+if ( WITH_DEBUG )
+  set ( K3B_DEBUG 1 )
+endif ( )
+
+
+##### libdvdread ################################
+
+if ( WITH_LIBDVDREAD )
+  pkg_search_module ( LIBDVDREAD dvdread REQUIRED )
+	if ( LIBDVDREAD_FOUND )
+    set ( HAVE_LIBDVDREAD 1 )
+  else ( )
+    tde_message_fatal( "libdvdread is required, but was not found on your system" )
+  endif ( )
+endif ( )
+
+
+##### musicbrainz ###############################
+
+if ( WITH_MUSICBRAINZ )
+  pkg_search_module ( MUSICBRAINZ libmusicbrainz )
+  if ( MUSICBRAINZ_FOUND )
+    set ( HAVE_MUSICBRAINZ 1 )
+  else ( )
+    tde_message_fatal( "musicbrainz is required, but was not found on your system" )
+  endif ( )
+endif ( )
+
+
+##### libsamplerate #############################
+
+if ( WITH_SYSTEM_LIBSAMPLERATE )
+  pkg_search_module ( LIBSAMPLERATE samplerate )
+  if ( LIBSAMPLERATE_FOUND )
+    set ( HAVE_LIBSAMPLERATE 1 )
+  else ( )
+    tde_message_fatal( "libsamplerate is required, but was not found on your system" )
+  endif ( )
+endif ( )
+
+
+##### hal #######################################
+
+if( WITH_HAL )
+  pkg_search_module( HAL hal )
+  if( HAL_FOUND )
+    set ( HAVE_HAL 1 )
+  else ( )
+    tde_message_fatal( "hal is required, but was not found on your system" )
+  endif( )
+endif( )
+ 
+##### arts ######################################
+
+if( WITH_ARTS )
+  pkg_search_module( ARTS arts )
+  if( NOT ARTS_FOUND )
+    tde_message_fatal( "aRts is requested, but was not found on your system" )
+  endif( )
+endif( )
+
+##### check for ALSA ############################
+
+if( WITH_ALSA )
+  find_package( ALSA )
+  if( NOT ALSA_FOUND )
+    message(FATAL_ERROR "\nALSA support is requested, but was not found on your system" )
+  endif( NOT ALSA_FOUND )
+endif( WITH_ALSA )
+
+
+##### ffmpeg ####################################
+
+if( WITH_FFMPEG )
+  pkg_search_module( LIBAVCODEC libavcodec )
+  pkg_search_module( LIBAVFORMAT libavformat )
+  pkg_search_module( LIBAVUTIL libavutil ) 
+  # TODO chech if avutil required on all systems
+  if( NOT LIBAVCODEC_FOUND )
+    tde_message_fatal( "ffmpeg is requested, but libavcodec was not found on your system" )
+  elseif( NOT LIBAVFORMAT_FOUND )
+    tde_message_fatal( "ffmpeg is requested, but libavformat was not found on your system" )
+  else( )
+    if( WITH_FFMPEG_ALL_CODECS )
+      set( K3B_FFMPEG_ALL_CODECS 1 ) 
+    endif( )
+  endif( )
+endif( )
+
+
+##### flac ######################################
+
+if( WITH_FLAC )
+  pkg_search_module( FLAC flac++ )
+  if( NOT FLAC_FOUND )
+    tde_message_fatal( "flac is requested, but was not found on your system" )
+  endif( )
+endif( )
+
+##### sndfile ###################################
+
+if( WITH_SNDFILE )
+  pkg_search_module( SNDFILE sndfile )
+  if( NOT SNDFILE_FOUND )
+    tde_message_fatal( "sndfile is requested, but was not found on your system" )
+  endif( )
+endif( )
+
+##### taglib ####################################
+
+if( WITH_TAGLIB )
+  pkg_search_module( TAGLIB taglib )
+  if( NOT TAGLIB_FOUND )
+    tde_message_fatal( "taglib is requested, but was not found on your system" )
+  endif( )
+endif( )
+
+
+##### mad #######################################
+
+if( WITH_MAD )
+  pkg_search_module( MAD mad )
+  if( NOT MAD_FOUND )
+    tde_message_fatal( "mad is requested, but was not found on your system" )
+  endif( )
+endif( )
+
+
+##### musepack ##################################
+
+if( WITH_MUSEPACK )
+  
+  check_library_exists ( mpcdec mpc_decoder_setup  "" MPCDEC_FOUND )
+
+  # check common include locations
+  foreach ( _mpc_dir  "mpc" "musepack" "mpcdec" )
+    check_include_file( "${_mpc_dir}/mpcdec.h" ${_mpc_dir}_MPCDEC_H_FOUND )
+    if ( ${${_mpc_dir}_MPCDEC_H_FOUND} )
+      set( MPCDEC_HEADER_FILE "<${_mpc_dir}/mpcdec.h>" CACHE INTERNAL
+        "mpcdec.h header file with an upper level directory")
+      break( )
+    endif( )
+  endforeach( )
+
+  if( NOT MPCDEC_FOUND OR NOT MPCDEC_HEADER_FILE )
+    tde_message_fatal( "musepack is requested, but mpcdec was not found on your system" )
+  endif( )
+endif( )
+
+
+##### vorbis ####################################
+
+if( WITH_VORBIS )
+  pkg_search_module( VORBIS     vorbis     )
+  pkg_search_module( VORBISFILE vorbisfile )
+  pkg_search_module( VORBISENC  vorbisenc  )
+  pkg_search_module( OGG        ogg        )
+  if( NOT VORBIS_FOUND )
+    tde_message_fatal( "vorbis is requested, but was not found on your system" )
+  elseif( NOT VORBISFILE_FOUND OR NOT VORBISENC_FOUND OR NOT OGG_FOUND )
+    tde_message_fatal( "vorbis is requested, but some of it's essential parts wasn't found on your system" )
+  endif( )
+endif( )
+
+
+##### lame ######################################
+
+if( WITH_LAME )
+  check_library_exists ( mp3lame lame_init  "" LAME_FOUND )
+  check_include_file( "lame/lame.h" LAME_H_FOUND )
+  if( NOT LAME_FOUND OR NOT LAME_H_FOUND )
+    tde_message_fatal( "lame is requested, but was not found on your system" )
+  endif( )
+endif( )
+
+
+# # gettext
+# if( BUILD_TRANSLATIONS )
+#   include( FindGettext )
+#   if( GETTEXT_FOUND )
+#     set( MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} 
+#       CACHE FILEPATH "path to msgfmt executable" )
+#   endif( GETTEXT_FOUND )
+#   
+#   if( NOT MSGFMT_EXECUTABLE )
+#     tde_message_fatal( "msgfmt is required but was not found on your system." )
+#   endif( NOT MSGFMT_EXECUTABLE )
+# endif( BUILD_TRANSLATIONS )
+
+# required stuff
+find_package( TQt )
+find_package( TDE )
diff --git a/config.h.cmake b/config.h.cmake
new file mode 100644
index 0000000..a914a13
--- /dev/null
+++ b/config.h.cmake
@@ -0,0 +1,31 @@
+#cmakedefine VERSION "@VERSION@"
+
+// User specified build options
+
+#cmakedefine HAVE_K3BSETUP
+#cmakedefine K3B_DEBUG
+
+#cmakedefine HAVE_LIBDVDREAD
+#cmakedefine HAVE_LIBSAMPLERATE
+#cmakedefine HAVE_MUSICBRAINZ
+#cmakedefine WITH_ARTS
+
+#cmakedefine HAVE_HAL
+
+#cmakedefine K3B_FFMPEG_ALL_CODECS
+
+// System configuration
+
+#cmakedefine HAVE_ICONV_H
+#cmakedefine HAVE_ENDIAN_H
+#cmakedefine HAVE_SYS_ENDIAN_H
+#cmakedefine HAVE_SYS_STATVFS_H
+#cmakedefine HAVE_SYS_VFS_H
+#cmakedefine HAVE_BYTESWAP_H
+#cmakedefine HAVE_STDINT_H
+#cmakedefine HAVE_LRINT
+#cmakedefine HAVE_LRINTF
+#cmakedefine HAVE_STAT64
+
+// Don't define HAVE_RESMGR due to it seems to be totally outdated
+// #cmakedefine HAVE_RESMGR
diff --git a/doc/CMakeLists.txt b/doc/CMakeLists.txt
new file mode 100644
index 0000000..7a9f5fc
--- /dev/null
+++ b/doc/CMakeLists.txt
@@ -0,0 +1,7 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( tdeioslave )
+
+##### documentation #############################
+tde_create_handbook( DESTINATION k3b  )
+
diff --git a/doc/tdeioslave/CMakeLists.txt b/doc/tdeioslave/CMakeLists.txt
new file mode 100644
index 0000000..a39cb92
--- /dev/null
+++ b/doc/tdeioslave/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( en )
diff --git a/doc/tdeioslave/en/CMakeLists.txt b/doc/tdeioslave/en/CMakeLists.txt
new file mode 100644
index 0000000..5e29142
--- /dev/null
+++ b/doc/tdeioslave/en/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( videodvd )
diff --git a/doc/tdeioslave/en/videodvd/CMakeLists.txt b/doc/tdeioslave/en/videodvd/CMakeLists.txt
new file mode 100644
index 0000000..18127c6
--- /dev/null
+++ b/doc/tdeioslave/en/videodvd/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+tde_create_handbook( DESTINATION tdeioslave/videodvd  )
+
diff --git a/k3bsetup/CMakeLists.txt b/k3bsetup/CMakeLists.txt
new file mode 100644
index 0000000..5e01b91
--- /dev/null
+++ b/k3bsetup/CMakeLists.txt
@@ -0,0 +1,47 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+##### kcm_k3bsetup2 (kpart) #####################
+
+tde_add_kpart( kcm_k3bsetup2 AUTOMOC
+  SOURCES base_k3bsetup2.ui k3bsetup2.cpp
+  LINK k3b-shared
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### k3bsetup ##################################
+
+install( PROGRAMS k3bsetup
+  DESTINATION ${BIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3bsetup2.desktop
+  DESTINATION ${APPS_INSTALL_DIR}/Settings/System
+)
diff --git a/libk3b/CMakeLists.txt b/libk3b/CMakeLists.txt
new file mode 100644
index 0000000..e9a42ca
--- /dev/null
+++ b/libk3b/CMakeLists.txt
@@ -0,0 +1,62 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+add_subdirectory( core )
+add_subdirectory( plugin )
+add_subdirectory( tools )
+add_subdirectory( projects )
+add_subdirectory( cddb )
+add_subdirectory( jobs )
+# add_subdirectory( scripts ) # the directory sciped in autotools either
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### k3b (shared) ##############################
+
+if ( WITH_LIBDVDREAD )
+  add_subdirectory( videodvd )
+  set ( VIDEODVDRIP_LIBRARIES videodvdrip-static)
+endif ( )
+
+# Note: Due to embending into static libraries doesn't work correctly we have
+#       to embend all the substuff here.
+
+# From plugin
+if ( NOT WITH_SYSTEM_LIBSAMPLERATE )
+  list ( APPEND SUBLIBRARIES samplerate-static )
+endif ( )
+
+# From tools
+list ( APPEND SUBLIBRARIES isofs-static )
+
+# From projects
+list ( APPEND SUBLIBRARIES data-static dvd-static mixed-static vcd-static
+  videodvd-static movix-static movixdvd-static audio-static mpeginfo-static )
+
+tde_add_library( k3b SHARED AUTOMOC
+  SOURCES dummy.cpp
+  VERSION 3.0.0
+  EMBED k3bcore-static cddb-static k3bproject-static k3btools-static
+    jobs-static k3bplugin-static ${VIDEODVDRIP_LIBRARIES} ${SUBLIBRARIES} 
+  LINK dl tdeio-shared tdeui-shared k3bdevice-shared
+  DESTINATION ${LIB_INSTALL_DIR}
+)
diff --git a/libk3b/cddb/CMakeLists.txt b/libk3b/cddb/CMakeLists.txt
new file mode 100644
index 0000000..9cebff4
--- /dev/null
+++ b/libk3b/cddb/CMakeLists.txt
@@ -0,0 +1,36 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+add_definitions(
+)
+
+
+##### cddb (static) #############################
+
+tde_add_library( cddb STATIC_PIC AUTOMOC
+  SOURCES k3bcddbquery.cpp k3bcddb.cpp k3bcddbresult.cpp k3bcddbhttpquery.cpp
+    k3bcddbpquery.cpp k3bcddblocalquery.cpp k3bcddbsubmit.cpp
+    k3bcddblocalsubmit.cpp k3bcddbmultientriesdialog.cpp
+)
diff --git a/libk3b/core/CMakeLists.txt b/libk3b/core/CMakeLists.txt
new file mode 100644
index 0000000..95b0531
--- /dev/null
+++ b/libk3b/core/CMakeLists.txt
@@ -0,0 +1,35 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### k3bcore (static) ##########################
+
+tde_add_library( k3bcore STATIC_PIC AUTOMOC
+  SOURCES k3bcore.cpp k3bglobals.cpp k3bdefaultexternalprograms.cpp
+    k3bexternalbinmanager.cpp k3bversion.cpp k3bprocess.cpp k3bjob.cpp
+    k3bthread.cpp k3bthreadjob.cpp k3bglobalsettings.cpp
+    k3bsimplejobhandler.cpp
+)
diff --git a/libk3b/jobs/CMakeLists.txt b/libk3b/jobs/CMakeLists.txt
new file mode 100644
index 0000000..a6b59c4
--- /dev/null
+++ b/libk3b/jobs/CMakeLists.txt
@@ -0,0 +1,47 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3b/jobs
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/audiocd
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/cddb
+  ${CMAKE_SOURCE_DIR}/libk3b/videodvd
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### jobs (static) #############################
+
+if ( WITH_LIBDVDREAD )
+  set ( VIDEODVDRIP_SOURCES k3bvideodvdtitletranscodingjob.cpp
+    k3bvideodvdtitledetectclippingjob.cpp )
+endif ( )
+
+tde_add_library( jobs STATIC_PIC AUTOMOC
+  SOURCES k3bdatatrackreader.cpp k3breadcdreader.cpp k3bcdcopyjob.cpp
+    k3bclonejob.cpp k3baudiosessionreadingjob.cpp k3bdvdcopyjob.cpp
+    k3baudiocuefilewritingjob.cpp k3bbinimagewritingjob.cpp
+    k3biso9660imagewritingjob.cpp k3bdvdformattingjob.cpp k3bblankingjob.cpp
+    k3bclonetocreader.cpp k3bverificationjob.cpp ${VIDEODVDRIP_SOURCES}
+)
diff --git a/libk3b/plugin/CMakeLists.txt b/libk3b/plugin/CMakeLists.txt
new file mode 100644
index 0000000..7aa0ae1
--- /dev/null
+++ b/libk3b/plugin/CMakeLists.txt
@@ -0,0 +1,48 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+if ( WITH_SYSTEM_LIBSAMPLERATE )
+  include_directories ( ${LIBSAMPLERATE_INCLUDE_DIRS} )
+  link_directories ( ${LIBSAMPLERATE_LIBRARY_DIRS} )
+else ( )
+  add_subdirectory( libsamplerate )
+  include_directories( libsamplerate )
+  set ( LIBSUMPLERATE_LIBRARIES samplerate-static )
+endif ( )
+
+
+##### k3bplugin (static) ########################
+
+list( APPEND k3bplugin_SOURCES k3bplugin.cpp k3bpluginconfigwidget.cpp k3bpluginmanager.cpp
+    k3baudiodecoder.cpp k3baudioencoder.cpp k3baudioclient.cpp
+    k3baudioserver.cpp )
+# We have to manually moc the file due to there is no corresponding source
+tde_moc( k3bplugin_SOURCES k3bprojectplugin.h )
+
+tde_add_library( k3bplugin STATIC_PIC AUTOMOC
+  SOURCES ${k3bplugin_SOURCES}
+  LINK ${LIBSAMPLERATE_LIBRARIES}
+)
diff --git a/libk3b/plugin/k3baudiooutputplugin.h b/libk3b/plugin/k3baudiooutputplugin.h
index 09718be..8d958e9 100644
--- a/libk3b/plugin/k3baudiooutputplugin.h
+++ b/libk3b/plugin/k3baudiooutputplugin.h
@@ -24,8 +24,6 @@
  */
 class LIBK3B_EXPORT K3bAudioOutputPlugin : public K3bPlugin
 {
-  Q_OBJECT
-  
 
  public:
   virtual ~K3bAudioOutputPlugin() {
diff --git a/libk3b/plugin/libsamplerate/CMakeLists.txt b/libk3b/plugin/libsamplerate/CMakeLists.txt
new file mode 100644
index 0000000..b12681e
--- /dev/null
+++ b/libk3b/plugin/libsamplerate/CMakeLists.txt
@@ -0,0 +1,29 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### samplerate (static) #######################
+
+tde_add_library( samplerate STATIC_PIC AUTOMOC
+  SOURCES samplerate.c src_sinc.c src_zoh.c src_linear.c
+)
diff --git a/libk3b/projects/CMakeLists.txt b/libk3b/projects/CMakeLists.txt
new file mode 100644
index 0000000..2c7d28f
--- /dev/null
+++ b/libk3b/projects/CMakeLists.txt
@@ -0,0 +1,52 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+add_subdirectory( datacd )
+add_subdirectory( audiocd )
+add_subdirectory( mixedcd )
+add_subdirectory( movixcd )
+add_subdirectory( videocd )
+add_subdirectory( datadvd )
+add_subdirectory( movixdvd )
+add_subdirectory( videodvd )
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}/datacd
+  ${CMAKE_CURRENT_SOURCE_DIR}/audiocd
+  ${CMAKE_CURRENT_SOURCE_DIR}/mixedcd
+  ${CMAKE_CURRENT_SOURCE_DIR}/movixcd
+  ${CMAKE_CURRENT_SOURCE_DIR}/videocd
+  ${CMAKE_CURRENT_SOURCE_DIR}/datadvd
+  ${CMAKE_CURRENT_SOURCE_DIR}/movixdvd
+  ${CMAKE_CURRENT_SOURCE_DIR}/videodvd
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### k3bproject (static) #######################
+
+tde_add_library( k3bproject STATIC_PIC AUTOMOC
+  SOURCES k3babstractwriter.cpp k3bgrowisofswriter.cpp k3bgrowisofshandler.cpp
+    k3bdoc.cpp k3bcdrdaowriter.cpp k3bcdrecordwriter.cpp k3binffilewriter.cpp
+    k3btocfilewriter.cpp k3bimagefilereader.cpp k3bcuefileparser.cpp
+    k3bpipebuffer.cpp
+)
diff --git a/libk3b/projects/audiocd/CMakeLists.txt b/libk3b/projects/audiocd/CMakeLists.txt
new file mode 100644
index 0000000..a6f81f1
--- /dev/null
+++ b/libk3b/projects/audiocd/CMakeLists.txt
@@ -0,0 +1,39 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3b/cddb
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### audio (static) ############################
+
+tde_add_library( audio STATIC_PIC AUTOMOC
+  SOURCES k3baudiojob.cpp k3baudiotrack.cpp k3baudiodoc.cpp k3baudiofile.cpp
+    k3baudiozerodata.cpp k3baudiodatasource.cpp k3baudionormalizejob.cpp
+    k3baudiojobtempdata.cpp k3baudioimager.cpp k3baudiomaxspeedjob.cpp
+    k3baudiocdtracksource.cpp k3baudiocdtrackdrag.cpp
+    k3baudiodatasourceiterator.cpp
+)
diff --git a/libk3b/projects/datacd/CMakeLists.txt b/libk3b/projects/datacd/CMakeLists.txt
new file mode 100644
index 0000000..c47b129
--- /dev/null
+++ b/libk3b/projects/datacd/CMakeLists.txt
@@ -0,0 +1,38 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3b/jobs
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### data (static) #############################
+
+tde_add_library( data STATIC_PIC AUTOMOC
+  SOURCES k3bdatajob.cpp k3bdatadoc.cpp k3bdataitem.cpp k3bdiritem.cpp
+    k3bfileitem.cpp k3bisoimager.cpp k3bmsinfofetcher.cpp k3bbootitem.cpp
+    k3bisooptions.cpp k3bfilecompilationsizehandler.cpp
+    k3bsessionimportitem.cpp k3bmkisofshandler.cpp k3bdatapreparationjob.cpp
+)
diff --git a/libk3b/projects/datadvd/CMakeLists.txt b/libk3b/projects/datadvd/CMakeLists.txt
new file mode 100644
index 0000000..6e6f006
--- /dev/null
+++ b/libk3b/projects/datadvd/CMakeLists.txt
@@ -0,0 +1,35 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/jobs
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### dvd (static) ##############################
+
+tde_add_library( dvd STATIC_PIC AUTOMOC
+  SOURCES k3bdvddoc.cpp k3bdvdjob.cpp k3bdvdbooktypejob.cpp
+)
diff --git a/libk3b/projects/mixedcd/CMakeLists.txt b/libk3b/projects/mixedcd/CMakeLists.txt
new file mode 100644
index 0000000..d00012c
--- /dev/null
+++ b/libk3b/projects/mixedcd/CMakeLists.txt
@@ -0,0 +1,35 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/audiocd
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+##### mixed (static) ############################
+
+tde_add_library( mixed STATIC_PIC AUTOMOC
+  SOURCES k3bmixeddoc.cpp k3bmixedjob.cpp
+)
diff --git a/libk3b/projects/movixcd/CMakeLists.txt b/libk3b/projects/movixcd/CMakeLists.txt
new file mode 100644
index 0000000..7d3494f
--- /dev/null
+++ b/libk3b/projects/movixcd/CMakeLists.txt
@@ -0,0 +1,37 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3b/jobs
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### movix (static) ############################
+
+tde_add_library( movix STATIC_PIC AUTOMOC
+  SOURCES k3bmovixprogram.cpp k3bmovixdoc.cpp k3bmovixjob.cpp
+    k3bmovixfileitem.cpp k3bmovixdocpreparer.cpp
+)
diff --git a/libk3b/projects/movixdvd/CMakeLists.txt b/libk3b/projects/movixdvd/CMakeLists.txt
new file mode 100644
index 0000000..09d01ee
--- /dev/null
+++ b/libk3b/projects/movixdvd/CMakeLists.txt
@@ -0,0 +1,36 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datadvd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/movixcd
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### movixdvd (static) #########################
+
+tde_add_library( movixdvd STATIC_PIC AUTOMOC
+  SOURCES k3bmovixdvddoc.cpp k3bmovixdvdjob.cpp
+)
diff --git a/libk3b/projects/videocd/CMakeLists.txt b/libk3b/projects/videocd/CMakeLists.txt
new file mode 100644
index 0000000..8a3e2ad
--- /dev/null
+++ b/libk3b/projects/videocd/CMakeLists.txt
@@ -0,0 +1,46 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+add_subdirectory( cdi )
+add_subdirectory( extra )
+add_subdirectory( mpeginfo )
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### vcd (static) ##############################
+
+tde_add_library( vcd STATIC_PIC AUTOMOC
+  SOURCES k3bvcddoc.cpp k3bvcdtrack.cpp k3bvcdjob.cpp k3bvcdoptions.cpp
+    k3bvcdxmlview.cpp
+)
diff --git a/libk3b/projects/videocd/cdi/CMakeLists.txt b/libk3b/projects/videocd/cdi/CMakeLists.txt
new file mode 100644
index 0000000..89fec78
--- /dev/null
+++ b/libk3b/projects/videocd/cdi/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+install( FILES cdi_imag.rtf cdi_text.fnt cdi_vcd.app cdi_vcd.cfg
+  vcd_on_cdi_41.pdf icdia.htm
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/cdi
+)
diff --git a/libk3b/projects/videocd/extra/CMakeLists.txt b/libk3b/projects/videocd/extra/CMakeLists.txt
new file mode 100644
index 0000000..0c10274
--- /dev/null
+++ b/libk3b/projects/videocd/extra/CMakeLists.txt
@@ -0,0 +1,5 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+install( FILES k3bphotovcd.mpg k3bphotosvcd.mpg
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/extra
+)
diff --git a/libk3b/projects/videocd/mpeginfo/CMakeLists.txt b/libk3b/projects/videocd/mpeginfo/CMakeLists.txt
new file mode 100644
index 0000000..92e371d
--- /dev/null
+++ b/libk3b/projects/videocd/mpeginfo/CMakeLists.txt
@@ -0,0 +1,20 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### mpeginfo (static) #########################
+
+tde_add_library( mpeginfo STATIC_PIC AUTOMOC
+  SOURCES k3bmpeginfo.cpp
+)
diff --git a/libk3b/projects/videodvd/CMakeLists.txt b/libk3b/projects/videodvd/CMakeLists.txt
new file mode 100644
index 0000000..3c91d0b
--- /dev/null
+++ b/libk3b/projects/videodvd/CMakeLists.txt
@@ -0,0 +1,36 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datadvd
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### videodvd (static) #########################
+
+tde_add_library( videodvd STATIC_PIC AUTOMOC
+  SOURCES k3bvideodvddoc.cpp k3bvideodvdjob.cpp k3bvideodvdimager.cpp
+    k3bvideodvddoc.h k3bvideodvdjob.h
+)
diff --git a/libk3b/projects/videodvd/k3bvideodvddoc.cpp b/libk3b/projects/videodvd/k3bvideodvddoc.cpp
index 49f2479..a08b2ff 100644
--- a/libk3b/projects/videodvd/k3bvideodvddoc.cpp
+++ b/libk3b/projects/videodvd/k3bvideodvddoc.cpp
@@ -68,4 +68,3 @@ K3bBurnJob* K3bVideoDvdDoc::newBurnJob( K3bJobHandler* hdl, TQObject* parent )
   return new K3bVideoDvdJob( this, hdl, parent );
 }
 
-//#include "k3bdvddoc.moc"
diff --git a/libk3b/scripts/CMakeLists.txt b/libk3b/scripts/CMakeLists.txt
new file mode 100644
index 0000000..ca6f367
--- /dev/null
+++ b/libk3b/scripts/CMakeLists.txt
@@ -0,0 +1,15 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+install( PROGRAMS k3b_automount
+  DESTINATION ${BIN_INSTALL_DIR}
+  PERMISSIONS 4755
+)
diff --git a/libk3b/tools/CMakeLists.txt b/libk3b/tools/CMakeLists.txt
new file mode 100644
index 0000000..cd24070
--- /dev/null
+++ b/libk3b/tools/CMakeLists.txt
@@ -0,0 +1,46 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+add_subdirectory( libisofs )
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  #  ${CMAKE_SOURCE_DIR}/src
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### k3btools (static) #########################
+
+tde_add_library( k3btools STATIC_PIC AUTOMOC
+  SOURCES k3bwavefilewriter.cpp k3bbusywidget.cpp k3bdeviceselectiondialog.cpp
+    k3bmd5job.cpp k3btitlelabel.cpp k3bcutcombobox.cpp k3bstringutils.cpp
+    k3bdevicecombobox.cpp kcutlabel.cpp k3bstdguiitems.cpp k3bvalidators.cpp
+    k3bthroughputestimator.cpp k3biso9660.cpp k3bmultichoicedialog.cpp
+    k3bdevicehandler.cpp k3bcdparanoialib.cpp k3blistview.cpp k3bmsfedit.cpp
+    k3bcdtextvalidator.cpp k3bintvalidator.cpp k3bexceptions.cpp
+    k3bprogressdialog.cpp k3btoolbox.cpp k3bpushbutton.cpp
+    k3blistviewitemanimator.cpp k3bthreadwidget.cpp k3bradioaction.cpp
+    k3bsignalwaiter.cpp k3blibdvdcss.cpp k3biso9660backend.cpp k3bpipe.cpp
+    k3bchecksumpipe.cpp k3btoolbutton.cpp k3bintmapcombobox.cpp
+    k3bdirsizejob.cpp k3brichtextlabel.cpp k3btempfile.cpp k3bactivepipe.cpp
+    k3bfilesplitter.cpp k3bfilesysteminfo.cpp
+)
diff --git a/libk3b/tools/libisofs/CMakeLists.txt b/libk3b/tools/libisofs/CMakeLists.txt
new file mode 100644
index 0000000..f278a4b
--- /dev/null
+++ b/libk3b/tools/libisofs/CMakeLists.txt
@@ -0,0 +1,29 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### isofs (static) ############################
+
+tde_add_library( isofs STATIC_PIC AUTOMOC
+  SOURCES isofs.cpp
+)
diff --git a/libk3b/videodvd/CMakeLists.txt b/libk3b/videodvd/CMakeLists.txt
new file mode 100644
index 0000000..2ace0b3
--- /dev/null
+++ b/libk3b/videodvd/CMakeLists.txt
@@ -0,0 +1,34 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+  ${LIBDVDREAD_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+##### videodvd (static) #########################
+
+tde_add_library( videodvdrip STATIC_PIC AUTOMOC
+  SOURCES k3bvideodvd.cpp k3bvideodvdtime.cpp k3bvideodvdvideostream.cpp
+  LINK ${LIBDVDREAD_LIBRARIES}
+)
diff --git a/libk3bdevice/CMakeLists.txt b/libk3bdevice/CMakeLists.txt
new file mode 100644
index 0000000..b253b78
--- /dev/null
+++ b/libk3bdevice/CMakeLists.txt
@@ -0,0 +1,36 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+  ${HAL_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### k3bdevice (shared) ########################
+
+tde_add_library( k3bdevice SHARED AUTOMOC
+  SOURCES k3bdevice.cpp k3bdevice_mmc.cpp k3bscsicommand.cpp k3btrack.cpp
+    k3btoc.cpp k3bdevicemanager.cpp k3bmsf.cpp k3bdiskinfo.cpp
+    k3bdeviceglobals.cpp k3bcrc.cpp k3bcdtext.cpp k3bhalconnection.cpp
+    k3bdebug.cpp
+  VERSION 5.0.0
+  LINK tdecore-shared
+  DESTINATION ${LIB_INSTALL_DIR}
+)
diff --git a/plugins/CMakeLists.txt b/plugins/CMakeLists.txt
new file mode 100644
index 0000000..18395db
--- /dev/null
+++ b/plugins/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( decoder )
+add_subdirectory( encoder )
+add_subdirectory( audiooutput )
+add_subdirectory( project )
diff --git a/plugins/audiooutput/CMakeLists.txt b/plugins/audiooutput/CMakeLists.txt
new file mode 100644
index 0000000..818b181
--- /dev/null
+++ b/plugins/audiooutput/CMakeLists.txt
@@ -0,0 +1,13 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+tde_conditional_add_subdirectory( WITH_ALSA alsa )
+tde_conditional_add_subdirectory( WITH_ARTS arts )
diff --git a/plugins/audiooutput/alsa/CMakeLists.txt b/plugins/audiooutput/alsa/CMakeLists.txt
new file mode 100644
index 0000000..efbe574
--- /dev/null
+++ b/plugins/audiooutput/alsa/CMakeLists.txt
@@ -0,0 +1,41 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+  ${ALSA_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### libk3balsaoutputplugin (kpart) ############
+
+tde_add_kpart( libk3balsaoutputplugin AUTOMOC
+  SOURCES k3balsaoutputplugin.cpp
+  LINK tdecore-shared k3b-shared ${ALSA_LIBRARIES}
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3balsaoutputplugin.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/audiooutput/arts/CMakeLists.txt b/plugins/audiooutput/arts/CMakeLists.txt
new file mode 100644
index 0000000..58b4a97
--- /dev/null
+++ b/plugins/audiooutput/arts/CMakeLists.txt
@@ -0,0 +1,43 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+  ${ARTS_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${ARTS_LIBRARY_DIRS}
+)
+
+
+
+##### libk3bartsoutputplugin (kpart) ############
+
+tde_add_kpart( libk3bartsoutputplugin AUTOMOC
+  SOURCES k3bartsoutputplugin.cpp
+  LINK tdecore-shared k3b-shared ${ARTS_LIBRARIES} artsc
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3bartsoutputplugin.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/decoder/CMakeLists.txt b/plugins/decoder/CMakeLists.txt
new file mode 100644
index 0000000..70fbb0a
--- /dev/null
+++ b/plugins/decoder/CMakeLists.txt
@@ -0,0 +1,18 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+add_subdirectory( wave )
+tde_conditional_add_subdirectory( WITH_FFMPEG   ffmpeg     )
+tde_conditional_add_subdirectory( WITH_FLAC     flac       )
+tde_conditional_add_subdirectory( WITH_SNDFILE  libsndfile )
+tde_conditional_add_subdirectory( WITH_MAD      mp3        )
+tde_conditional_add_subdirectory( WITH_MUSEPACK musepack   )
+tde_conditional_add_subdirectory( WITH_VORBIS   ogg        )
diff --git a/plugins/decoder/ffmpeg/CMakeLists.txt b/plugins/decoder/ffmpeg/CMakeLists.txt
new file mode 100644
index 0000000..008d04d
--- /dev/null
+++ b/plugins/decoder/ffmpeg/CMakeLists.txt
@@ -0,0 +1,48 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${LIBAVCODEC_LIBRARY_DIRS}
+  ${LIBAVFORMAT_LIBRARY_DIRS}
+  ${LIBAVUTIL_LIBRARY_DIRS}
+)
+
+add_definitions(
+  -D__STDC_CONSTANT_MACROS
+)
+
+##### libk3bffmpegdecoder (kpart) ###############
+
+tde_add_kpart( libk3bffmpegdecoder AUTOMOC
+  SOURCES k3bffmpegdecoder.cpp k3bffmpegwrapper.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared ${LIBAVFORMAT_LIBRARIES}
+    ${LIBAVCODEC_LIBRARIES} ${LIBAVUTIL_LIBRARIES}
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3bffmpegdecoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/decoder/flac/CMakeLists.txt b/plugins/decoder/flac/CMakeLists.txt
new file mode 100644
index 0000000..75eea0d
--- /dev/null
+++ b/plugins/decoder/flac/CMakeLists.txt
@@ -0,0 +1,46 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${FLAC_LIBRARY_DIRS}
+)
+
+if( ${FLAC_VERSION} VERSION_GREATER "1.1.1" )
+  add_definitions( -DFLAC_NEWER_THAN_1_1_1=1 )
+endif( )
+
+##### libk3bflacdecoder (kpart) #################
+
+tde_add_kpart( libk3bflacdecoder AUTOMOC
+  SOURCES k3bflacdecoder.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared
+    ${FLAC_LIBRARIES}
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3bflacdecoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/decoder/libsndfile/CMakeLists.txt b/plugins/decoder/libsndfile/CMakeLists.txt
new file mode 100644
index 0000000..fa387c0
--- /dev/null
+++ b/plugins/decoder/libsndfile/CMakeLists.txt
@@ -0,0 +1,43 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${SNDFILE_LIBRARY_DIRS}
+)
+
+
+##### libk3blibsndfiledecoder (kpart) ###########
+
+tde_add_kpart( libk3blibsndfiledecoder AUTOMOC
+  SOURCES k3blibsndfiledecoder.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared
+    ${SNDFILE_LIBRARIES}
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3blibsndfiledecoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/decoder/mp3/CMakeLists.txt b/plugins/decoder/mp3/CMakeLists.txt
new file mode 100644
index 0000000..2c31bae
--- /dev/null
+++ b/plugins/decoder/mp3/CMakeLists.txt
@@ -0,0 +1,43 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${MAD_LIBRARY_DIRS}
+)
+
+
+##### libk3bmaddecoder (kpart) ##################
+
+tde_add_kpart( libk3bmaddecoder AUTOMOC
+  SOURCES k3bmad.cpp k3bmaddecoder.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared
+    ${MAD_LIBRARIES}
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3bmaddecoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/decoder/musepack/CMakeLists.txt b/plugins/decoder/musepack/CMakeLists.txt
new file mode 100644
index 0000000..95fb7ae
--- /dev/null
+++ b/plugins/decoder/musepack/CMakeLists.txt
@@ -0,0 +1,45 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+add_definitions (
+  "-DMPC_HEADER_FILE=${MPCDEC_HEADER_FILE}"
+)
+
+##### libk3bmpcdecoder (kpart) ##################
+
+tde_add_kpart( libk3bmpcdecoder AUTOMOC
+  SOURCES k3bmpcdecoder.cpp k3bmpcwrapper.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared
+    mpcdec
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3bmpcdecoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/decoder/ogg/CMakeLists.txt b/plugins/decoder/ogg/CMakeLists.txt
new file mode 100644
index 0000000..d240d82
--- /dev/null
+++ b/plugins/decoder/ogg/CMakeLists.txt
@@ -0,0 +1,46 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${VORBIS_LIBRARY_DIRS}
+  ${VORBISFILE_LIBRARY_DIRS}
+  ${OGG_LIBRARY_DIRS}
+)
+
+
+
+##### libk3boggvorbisdecoder (kpart) ############
+
+tde_add_kpart( libk3boggvorbisdecoder AUTOMOC
+  SOURCES k3boggvorbisdecoder.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared
+    ${VORBIS_LIBRARIES} ${VORBISFILE_LIBRARIES} ${OGG_LIBRARIES}
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3boggvorbisdecoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/decoder/wave/CMakeLists.txt b/plugins/decoder/wave/CMakeLists.txt
new file mode 100644
index 0000000..570cf4e
--- /dev/null
+++ b/plugins/decoder/wave/CMakeLists.txt
@@ -0,0 +1,41 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### libk3bwavedecoder (kpart) #################
+
+tde_add_kpart( libk3bwavedecoder AUTOMOC
+  SOURCES k3bwavedecoder.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3bwavedecoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/encoder/CMakeLists.txt b/plugins/encoder/CMakeLists.txt
new file mode 100644
index 0000000..8a2c500
--- /dev/null
+++ b/plugins/encoder/CMakeLists.txt
@@ -0,0 +1,16 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+
+add_subdirectory( sox )
+add_subdirectory( external )
+tde_conditional_add_subdirectory( WITH_LAME   lame )
+tde_conditional_add_subdirectory( WITH_VORBIS ogg  )
diff --git a/plugins/encoder/external/CMakeLists.txt b/plugins/encoder/external/CMakeLists.txt
new file mode 100644
index 0000000..e2b9f1a
--- /dev/null
+++ b/plugins/encoder/external/CMakeLists.txt
@@ -0,0 +1,43 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### libk3bexternalencoder (kpart) #############
+
+tde_add_kpart( libk3bexternalencoder AUTOMOC
+  SOURCES base_k3bexternalencoderconfigwidget.ui
+    base_k3bexternalencodereditwidget.ui k3bexternalencoder.cpp
+    k3bexternalencoderconfigwidget.cpp k3bexternalencodercommand.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3bexternalencoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/encoder/lame/CMakeLists.txt b/plugins/encoder/lame/CMakeLists.txt
new file mode 100644
index 0000000..940ed62
--- /dev/null
+++ b/plugins/encoder/lame/CMakeLists.txt
@@ -0,0 +1,42 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### libk3blameencoder (kpart) #################
+
+tde_add_kpart( libk3blameencoder AUTOMOC
+  SOURCES base_k3blameencodersettingswidget.ui
+    base_k3bmanualbitratesettingswidget.ui k3blameencoder.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared mp3lame
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3blameencoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/encoder/ogg/CMakeLists.txt b/plugins/encoder/ogg/CMakeLists.txt
new file mode 100644
index 0000000..cb7208b
--- /dev/null
+++ b/plugins/encoder/ogg/CMakeLists.txt
@@ -0,0 +1,45 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${VORBIS_LIBRARY_DIRS}
+  ${VORBISENC_LIBRARY_DIRS}
+  ${OGG_LIBRARY_DIRS}
+)
+
+
+##### libk3boggvorbisencoder (kpart) ############
+
+tde_add_kpart( libk3boggvorbisencoder AUTOMOC
+  SOURCES base_k3boggvorbisencodersettingswidget.ui k3boggvorbisencoder.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared
+    ${VORBIS_LIBRARIES} ${VORBISENC_LIBRARIES} ${OGG_LIBRARIES}
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3boggvorbisencoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/encoder/sox/CMakeLists.txt b/plugins/encoder/sox/CMakeLists.txt
new file mode 100644
index 0000000..f0c4c38
--- /dev/null
+++ b/plugins/encoder/sox/CMakeLists.txt
@@ -0,0 +1,41 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### libk3bsoxencoder (kpart) ##################
+
+tde_add_kpart( libk3bsoxencoder AUTOMOC
+  SOURCES base_k3bsoxencoderconfigwidget.ui k3bsoxencoder.cpp
+  LINK tdecore-shared k3b-shared k3bdevice-shared
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3bsoxencoder.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/project/CMakeLists.txt b/plugins/project/CMakeLists.txt
new file mode 100644
index 0000000..d3f3390
--- /dev/null
+++ b/plugins/project/CMakeLists.txt
@@ -0,0 +1,4 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( audioprojectcddb )
+add_subdirectory( audiometainforenamer )
diff --git a/plugins/project/audiometainforenamer/CMakeLists.txt b/plugins/project/audiometainforenamer/CMakeLists.txt
new file mode 100644
index 0000000..55566c0
--- /dev/null
+++ b/plugins/project/audiometainforenamer/CMakeLists.txt
@@ -0,0 +1,44 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### libk3baudiometainforenamerplugin (kpart) ##
+
+tde_add_kpart( libk3baudiometainforenamerplugin AUTOMOC
+  SOURCES k3baudiometainforenamerplugin.cpp
+  LINK tdecore-shared k3b-shared
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3baudiometainforenamerplugin.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/plugins/project/audioprojectcddb/CMakeLists.txt b/plugins/project/audioprojectcddb/CMakeLists.txt
new file mode 100644
index 0000000..fae15a0
--- /dev/null
+++ b/plugins/project/audioprojectcddb/CMakeLists.txt
@@ -0,0 +1,45 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/audiocd
+  ${CMAKE_SOURCE_DIR}/libk3b/cddb
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### libk3baudioprojectcddbplugin (kpart) ######
+
+tde_add_kpart( libk3baudioprojectcddbplugin AUTOMOC
+  SOURCES k3baudioprojectcddbplugin.cpp
+  LINK tdecore-shared k3b-shared
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3baudioprojectcddbplugin.plugin
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
+)
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
new file mode 100644
index 0000000..20d897f
--- /dev/null
+++ b/src/CMakeLists.txt
@@ -0,0 +1,97 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+add_subdirectory( option )
+add_subdirectory( misc )
+add_subdirectory( rip )
+add_subdirectory( projects )
+add_subdirectory( fastscale )
+add_subdirectory( pics )
+add_subdirectory( icons )
+add_subdirectory( konqi )
+add_subdirectory( mimetypes )
+add_subdirectory( sounds )
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/cddb
+  ${CMAKE_SOURCE_DIR}/libk3b/videodvd
+  ${CMAKE_SOURCE_DIR}/libk3b/jobs
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datadvd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/audiocd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/videocd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/mixedcd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/movixcd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/videodvd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/movixdvd
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_CURRENT_SOURCE_DIR}/projects
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${MUSICBRAINZ_LIBRARY_DIRS}
+)
+
+
+##### k3b (executable) ##########################
+
+tde_add_executable( k3b AUTOMOC
+  SOURCES k3bwelcomewidget.cpp k3bapplication.cpp k3bdiroperator.cpp
+    k3bfiletreeview.cpp k3bprojecttabwidget.cpp k3bsplash.cpp k3bfileview.cpp
+    k3bdirview.cpp k3b.cpp main.cpp k3bstatusbarmanager.cpp
+    k3bfiletreecombobox.cpp k3binterface.cpp k3binterface.skel
+    k3bjobinterface.cpp k3bjobinterface.skel k3bprojectinterface.cpp
+    k3bprojectinterface.skel k3bdataprojectinterface.cpp
+    k3bdataprojectinterface.skel k3bsystemproblemdialog.cpp
+    k3bmediacontentsview.cpp k3bsidepanel.cpp k3bcontentsview.cpp
+    k3bjobprogressdialog.cpp k3bburnprogressdialog.cpp
+    k3btempdirselectionwidget.cpp k3bdatamodewidget.cpp
+    k3bwritingmodewidget.cpp k3bwriterselectionwidget.cpp
+    k3binteractiondialog.cpp k3bthememanager.cpp k3bprojectmanager.cpp
+    k3btrm.cpp k3bmusicbrainz.cpp k3baudioprojectinterface.cpp
+    k3bmixedprojectinterface.cpp k3baudioprojectinterface.skel
+    k3bmixedprojectinterface.skel k3bflatbutton.cpp k3bemptydiscwaiter.cpp
+    k3bjobprogressosd.cpp k3bdebuggingoutputdialog.cpp
+    k3bdebuggingoutputfile.cpp k3bappdevicemanager.cpp k3bmediacache.cpp
+    k3bmedium.cpp k3bmediaselectioncombobox.cpp k3btooltip.cpp
+    k3bwidgetshoweffect.cpp k3bmediaselectiondialog.cpp k3bdiskinfoview.cpp
+    k3bpassivepopup.cpp k3btimeoutwidget.cpp k3bminibutton.cpp
+    k3bthemedheader.cpp k3bthemedlabel.cpp k3blsofwrapper.cpp
+    k3blsofwrapperdialog.cpp k3bservicemenuinstaller.cpp k3bfirstrun.cpp
+  LINK tdeui-shared tdeparts-shared k3bdevice-shared k3b-shared option-static projects-static rip-static 
+    misc-static fastscale-static ${MUSICBRAINZ_LIBRARIES}
+  DESTINATION ${BIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES k3b-cue.desktop
+  DESTINATION ${APPS_INSTALL_DIR}/.hidden/
+)
+
+install( FILES k3bui.rc eventsrc tips
+  DESTINATION ${DATA_INSTALL_DIR}/k3b
+)
+
+install( FILES k3b.desktop
+  DESTINATION ${XDG_APPS_INSTALL_DIR}
+)
diff --git a/src/fastscale/CMakeLists.txt b/src/fastscale/CMakeLists.txt
new file mode 100644
index 0000000..267d764
--- /dev/null
+++ b/src/fastscale/CMakeLists.txt
@@ -0,0 +1,33 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+enable_language(CXX ASM)
+
+# TODO add assembler flags here (2016-01-14, Fat-Zer)
+
+##### fastscale (static) ########################
+
+tde_add_library( fastscale STATIC_PIC AUTOMOC
+  SOURCES scale.cpp asm_scale.S
+  LINK tdecore-shared
+)
diff --git a/src/icons/CMakeLists.txt b/src/icons/CMakeLists.txt
new file mode 100644
index 0000000..eae47c7
--- /dev/null
+++ b/src/icons/CMakeLists.txt
@@ -0,0 +1,8 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( actions )
+
+##### icons #####################################
+
+tde_install_icons( )
+
diff --git a/src/icons/actions/CMakeLists.txt b/src/icons/actions/CMakeLists.txt
new file mode 100644
index 0000000..d9d479b
--- /dev/null
+++ b/src/icons/actions/CMakeLists.txt
@@ -0,0 +1,12 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/k3b/icons )
diff --git a/src/konqi/CMakeLists.txt b/src/konqi/CMakeLists.txt
new file mode 100644
index 0000000..4cce2b2
--- /dev/null
+++ b/src/konqi/CMakeLists.txt
@@ -0,0 +1,13 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+install( FILES k3b_create_data_cd.desktop k3b_create_data_dvd.desktop
+  k3b_create_audio_cd.desktop k3b_create_video_cd.desktop
+  k3b_write_bin_image.desktop k3b_write_iso_image.desktop
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/servicemenus
+)
+
+install( FILES k3b_audiocd_rip.desktop k3b_videodvd_rip.desktop
+  k3b_cd_copy.desktop k3b_dvd_copy.desktop k3b_handle_empty_dvd.desktop
+  k3b_handle_empty_cd.desktop
+  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
+)
diff --git a/src/mimetypes/CMakeLists.txt b/src/mimetypes/CMakeLists.txt
new file mode 100644
index 0000000..dd54994
--- /dev/null
+++ b/src/mimetypes/CMakeLists.txt
@@ -0,0 +1,5 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+install( FILES x-k3b.desktop
+  DESTINATION ${MIME_INSTALL_DIR}/application
+)
diff --git a/src/misc/CMakeLists.txt b/src/misc/CMakeLists.txt
new file mode 100644
index 0000000..ba329d7
--- /dev/null
+++ b/src/misc/CMakeLists.txt
@@ -0,0 +1,37 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/jobs
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_SOURCE_DIR}/src
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### misc (static) #############################
+
+tde_add_library( misc STATIC_PIC AUTOMOC
+  SOURCES k3bdvdformattingdialog.cpp k3bcdcopydialog.cpp k3bdvdcopydialog.cpp
+    k3bcdimagewritingdialog.cpp k3bisoimagewritingdialog.cpp
+    k3bblankingdialog.cpp
+)
diff --git a/src/option/CMakeLists.txt b/src/option/CMakeLists.txt
new file mode 100644
index 0000000..e366278
--- /dev/null
+++ b/src/option/CMakeLists.txt
@@ -0,0 +1,40 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_SOURCE_DIR}/src
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### option (static) ###########################
+
+tde_add_library( option STATIC_PIC AUTOMOC
+  SOURCES base_k3bcddboptiontab.ui base_k3bmiscoptiontab.ui
+    base_k3bpluginoptiontab.ui base_k3bthemeoptiontab.ui k3bmiscoptiontab.cpp
+    k3bexternalbinoptiontab.cpp k3bcddboptiontab.cpp k3bburningoptiontab.cpp
+    k3boptiondialog.cpp k3bdeviceoptiontab.cpp k3bnotifyoptiontab.cpp
+    k3bpluginoptiontab.cpp k3bthemeoptiontab.cpp k3bdevicewidget.cpp
+    k3bexternalbinwidget.cpp
+)
diff --git a/src/pics/73lab/CMakeLists.txt b/src/pics/73lab/CMakeLists.txt
new file mode 100644
index 0000000..19ad61d
--- /dev/null
+++ b/src/pics/73lab/CMakeLists.txt
@@ -0,0 +1,9 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+install( FILES splash.png project_left.png project_right.png probing.png
+  media_audio.png media_data.png media_video.png media_empty.png media_left.png
+  media_mixed.png media_none.png progress_working.png progress_fail.png
+  progress_success.png progress_right.png dialog_left.png dialog_right.png
+  welcome_bg.png k3b.theme
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/pics/73lab
+)
diff --git a/src/pics/CMakeLists.txt b/src/pics/CMakeLists.txt
new file mode 100644
index 0000000..0fa12ec
--- /dev/null
+++ b/src/pics/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( 73lab )
+add_subdirectory( crystal )
+add_subdirectory( quant )
+add_subdirectory( RobsTheme )
diff --git a/src/pics/RobsTheme/CMakeLists.txt b/src/pics/RobsTheme/CMakeLists.txt
new file mode 100644
index 0000000..4d44c22
--- /dev/null
+++ b/src/pics/RobsTheme/CMakeLists.txt
@@ -0,0 +1,8 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+install( FILES splash.png project_left.png project_right.png media_audio.png
+  media_data.png media_video.png media_empty.png media_left.png media_mixed.png
+  media_none.png progress_working.png progress_fail.png progress_success.png
+  progress_right.png dialog_left.png dialog_right.png welcome_bg.png k3b.theme
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/pics/RobsTheme
+)
diff --git a/src/pics/crystal/CMakeLists.txt b/src/pics/crystal/CMakeLists.txt
new file mode 100644
index 0000000..56650dd
--- /dev/null
+++ b/src/pics/crystal/CMakeLists.txt
@@ -0,0 +1,9 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+install( FILES splash.png project_left.png project_right.png probing.png
+  media_audio.png media_data.png media_video.png media_empty.png media_left.png
+  media_mixed.png media_none.png progress_working.png progress_fail.png
+  progress_success.png progress_right.png dialog_left.png dialog_right.png
+  welcome_bg.png k3b.theme
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/pics/crystal
+)
diff --git a/src/pics/quant/CMakeLists.txt b/src/pics/quant/CMakeLists.txt
new file mode 100644
index 0000000..d332b4a
--- /dev/null
+++ b/src/pics/quant/CMakeLists.txt
@@ -0,0 +1,8 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+install( FILES splash.png project_left.png project_right.png media_audio.png
+  media_data.png media_video.png media_empty.png media_left.png media_mixed.png
+  media_none.png progress_working.png progress_fail.png progress_success.png
+  progress_right.png dialog_left.png dialog_right.png welcome_bg.png k3b.theme
+  DESTINATION ${DATA_INSTALL_DIR}/k3b/pics/quant
+)
diff --git a/src/projects/CMakeLists.txt b/src/projects/CMakeLists.txt
new file mode 100644
index 0000000..7484d03
--- /dev/null
+++ b/src/projects/CMakeLists.txt
@@ -0,0 +1,72 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+add_subdirectory( kostore )
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/cddb
+  ${CMAKE_SOURCE_DIR}/libk3b/jobs
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datadvd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/audiocd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/videocd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/mixedcd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/movixcd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/videodvd
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/movixdvd
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/src
+  ${CMAKE_SOURCE_DIR}/src/rip
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### projects (static) #########################
+
+tde_add_library( projects STATIC_PIC AUTOMOC
+  SOURCES k3baudioburndialog.cpp k3baudiocdtextwidget.cpp
+    k3baudiodatasourceviewitem.cpp k3baudioeditorwidget.cpp
+    k3baudiotrackdialog.cpp k3baudiotrackwidget.cpp k3baudiotrackplayer.cpp
+    k3baudiotracksplitdialog.cpp k3baudiotrackview.cpp
+    k3baudiotrackviewitem.cpp k3baudioview.cpp base_k3baudiocdtextwidget.ui
+    base_k3baudiocdtextallfieldswidget.ui base_k3baudiotrackwidget.ui
+    k3bmixedburndialog.cpp k3bmixeddirtreeview.cpp k3bmixedview.cpp
+    base_k3badvanceddataimagesettings.ui base_k3bbootimageview.ui
+    base_k3bdataimagesettings.ui base_k3bdatavolumedescwidget.ui
+    k3bdataadvancedimagesettingswidget.cpp k3bdatadirtreeview.cpp
+    k3bdatafileview.cpp k3bdataimagesettingswidget.cpp
+    k3bdatapropertiesdialog.cpp k3bdataview.cpp k3bdataviewitem.cpp
+    k3bdatavolumedescwidget.cpp k3bdataburndialog.cpp k3bbootimagedialog.cpp
+    k3bbootimageview.cpp k3bdvdburndialog.cpp k3bdvdview.cpp
+    base_k3bmovixoptionswidget.ui k3bmovixburndialog.cpp k3bmovixlistview.cpp
+    k3bmovixoptionswidget.cpp k3bmovixview.cpp k3bmovixdvdburndialog.cpp
+    k3bmovixdvdview.cpp k3bvideodvdburndialog.cpp k3bvideodvdview.cpp
+    k3bvcdburndialog.cpp k3bvcdlistview.cpp k3bvcdlistviewitem.cpp
+    k3bvcdtrackdialog.cpp k3bvcdview.cpp k3bfillstatusdisplay.cpp k3bview.cpp
+    k3bprojectburndialog.cpp k3bprojectplugindialog.cpp
+    k3baudiotracktrmlookupdialog.cpp k3bdatamultisessioncombobox.cpp
+    k3bmusicbrainzjob.cpp k3bdataurladdingdialog.cpp
+    k3bdatasessionimportdialog.cpp k3baudiodatasourceeditwidget.cpp
+    k3baudiotrackaddingdialog.cpp k3bencodingconverter.cpp
+  LINK kostore-static
+)
diff --git a/src/projects/kostore/CMakeLists.txt b/src/projects/kostore/CMakeLists.txt
new file mode 100644
index 0000000..9ac7377
--- /dev/null
+++ b/src/projects/kostore/CMakeLists.txt
@@ -0,0 +1,20 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### kostore (static) ##########################
+
+tde_add_library( kostore STATIC_PIC AUTOMOC
+  SOURCES koStore.cc koZipStore.cc koStoreBase.cc
+)
diff --git a/src/rip/CMakeLists.txt b/src/rip/CMakeLists.txt
new file mode 100644
index 0000000..0252281
--- /dev/null
+++ b/src/rip/CMakeLists.txt
@@ -0,0 +1,52 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/cddb
+  ${CMAKE_SOURCE_DIR}/libk3b/jobs
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/audiocd
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/src
+  ${CMAKE_SOURCE_DIR}/src/projects
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### rip (static) ##############################
+
+if ( WITH_LIBDVDREAD )
+  add_subdirectory( videodvd )
+  set ( VIDEODVDRIPGUI_LIBRARIES videodvdripgui-static)
+endif ( )
+
+tde_add_library( rip STATIC_PIC AUTOMOC
+  SOURCES base_k3baudiorippingoptionwidget.ui base_k3bcddbpatternwidget.ui
+    k3bpatternparser.cpp k3baudiorippingdialog.cpp k3baudioripthread.cpp
+    k3baudiocdview.cpp k3bcddbpatternwidget.cpp k3bvideocdinfo.cpp
+    k3bvideocdview.cpp k3bvideocdrip.cpp k3bvideocdrippingdialog.cpp
+    k3bcuefilewriter.cpp k3baudioconvertingoptionwidget.cpp
+    k3baudiocdlistview.cpp k3baudioprojectconvertingdialog.cpp
+    k3baudioprojectconvertingthread.cpp k3baudioripjob.cpp
+  LINK ${VIDEODVDRIPGUI_LIBRARIES}
+)
diff --git a/src/rip/videodvd/CMakeLists.txt b/src/rip/videodvd/CMakeLists.txt
new file mode 100644
index 0000000..7770071
--- /dev/null
+++ b/src/rip/videodvd/CMakeLists.txt
@@ -0,0 +1,40 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/videodvd
+  ${CMAKE_SOURCE_DIR}/libk3b/jobs
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+  ${LIBDVDREAD_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${LIBDVDREAD_LIBRARY_DIRS}
+)
+
+
+##### videodvdrip (static) ######################
+
+tde_add_library( videodvdripgui STATIC_PIC AUTOMOC
+  SOURCES base_k3bvideodvdrippingwidget.ui k3bvideodvdrippingview.cpp
+    k3bvideodvdrippingtitlelistview.cpp k3bvideodvdrippingjob.cpp
+    k3bvideodvdrippingwidget.cpp k3bvideodvdrippingdialog.cpp
+    k3bvideodvdrippingpreview.cpp
+  LINK ${LIBDVDREAD_LIBRARIES}
+)
diff --git a/src/sounds/CMakeLists.txt b/src/sounds/CMakeLists.txt
new file mode 100644
index 0000000..183c843
--- /dev/null
+++ b/src/sounds/CMakeLists.txt
@@ -0,0 +1,14 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+install( FILES
+    k3b_success1.wav k3b_error1.wav k3b_wait_media1.wav
+  DESTINATION ${SOUND_INSTALL_DIR} )
diff --git a/tdefile-plugins/CMakeLists.txt b/tdefile-plugins/CMakeLists.txt
new file mode 100644
index 0000000..d7509fa
--- /dev/null
+++ b/tdefile-plugins/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( k3bproject )
diff --git a/tdefile-plugins/k3bproject/CMakeLists.txt b/tdefile-plugins/k3bproject/CMakeLists.txt
new file mode 100644
index 0000000..48e9204
--- /dev/null
+++ b/tdefile-plugins/k3bproject/CMakeLists.txt
@@ -0,0 +1,45 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3b/plugin
+  ${CMAKE_SOURCE_DIR}/libk3b/projects
+  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${CMAKE_SOURCE_DIR}/src/projects
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### tdefile_k3b (kpart) #######################
+
+tde_add_kpart( tdefile_k3b AUTOMOC
+  SOURCES tdefile_k3bprojectfileplugin.cpp
+  LINK k3b-shared kostore-static
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES tdefile_k3b.desktop
+  DESTINATION ${SERVICES_INSTALL_DIR}
+)
diff --git a/tdeioslaves/CMakeLists.txt b/tdeioslaves/CMakeLists.txt
new file mode 100644
index 0000000..5e29142
--- /dev/null
+++ b/tdeioslaves/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( videodvd )
diff --git a/tdeioslaves/videodvd/CMakeLists.txt b/tdeioslaves/videodvd/CMakeLists.txt
new file mode 100644
index 0000000..9a7ffd8
--- /dev/null
+++ b/tdeioslaves/videodvd/CMakeLists.txt
@@ -0,0 +1,45 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}/libk3b/core
+  ${CMAKE_SOURCE_DIR}/libk3b/tools
+  ${CMAKE_SOURCE_DIR}/libk3bdevice
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### tdeio_videodvd (kpart) ####################
+
+tde_add_kpart( tdeio_videodvd AUTOMOC
+  SOURCES videodvd.cpp
+  LINK k3b-shared
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+
+##### other data ################################
+
+install( FILES videodvd.desktop
+  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/virtual_folders/services
+)
+
+install( FILES videodvd.protocol
+  DESTINATION ${SERVICES_INSTALL_DIR}
+)
-- 
2.4.10

